Package be.fgov.ehealth.rn.personservice.core.v1

# Class PhoneticBirth

java.lang.Object
be.fgov.ehealth.rn.personservice.core.v1.PhoneticBirth

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class PhoneticBirth extends Object implements Serializable

Java class for PhoneticBirth complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PhoneticBirth">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType"/>
             <element name="Variation" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneticBirth()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBirthDate()`
  Gets the value of the birthDate property.
  `Integer`
  `getVariation()`
  Gets the value of the variation property.
  `void`
  `setBirthDate(String value)`
  Sets the value of the birthDate property.
  `void`
  `setVariation(Integer value)`
  Sets the value of the variation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneticBirth

    public PhoneticBirth()

- ## Method Details

  - ### getBirthDate

    public String getBirthDate()
    Gets the value of the birthDate property.
    Returns:
      possible object is `String`

  - ### setBirthDate

    public void setBirthDate(String value)
    Sets the value of the birthDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVariation

    public Integer getVariation()
    Gets the value of the variation property.
    Returns:
      possible object is `Integer`

  - ### setVariation

    public void setVariation(Integer value)
    Sets the value of the variation property.
    Parameters:
      `value` - allowed object is `Integer`